import QtQuick 1.1
import com.nokia.meego 1.0
import "Constants.js" as Constants
import "UIConstants.js" as UIConstants
import "HttpRequests.js" as HttpRequests

// Network error dialog
Dialog {

    property alias message : idMessage.text

    title: Rectangle {
        height: 2
        width: parent.width
        color: "red"
    }

    content: Text{
        id: idMessage
        height: 300
        width: (screen.currentOrientation == Screen.Portrait) ? 480 : 854
        anchors.centerIn: parent
        font.pixelSize: UIConstants.TITLE_FONTSIZE
        color: "white"
        verticalAlignment: Text.AlignVCenter
        wrapMode: Text.WordWrap
    }

    buttons: ButtonRow {
        style: ButtonStyle { }
        anchors.horizontalCenter: parent.horizontalCenter
        Button {
            text: qsTr("Ok")

            onClicked: {
                close();
                window.pageStack.push(Qt.resolvedUrl("MainPage.qml"));
            }
        }
    }
} // Dialog

