// Manage display of a grid cell when the grid of photos is shown.
// The grid is defined in FilesPage.

// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import "Constants.js" as Constants
import "UIConstants.js" as UIConstants

Item {
    id: idFilesDelegate

    signal clicked
    property string fileId
    property string fileName
    property string dateShooting

    // Use 159 as height & width for a 1 pixel
    // separator between pictures in the grid
    width: 160
    height: 160

    Image {
        id: idFilesDelegateImage
        source: Constants.JOOMEO_PHP_POINT +"?apikey="+Constants.API_KEY+"&sessionid="+idFilesPage.sessionId+"&albumid="+idFilesPage.albumId+"&fileid="+fileId+"&type=small&rotation=0"
        fillMode: Image.PreserveAspectCrop
        smooth: true
        clip: true
        anchors.fill: parent

        onStatusChanged:{
            if (status == Image.Ready) {
                idBusyIndicator.running = false
                idBusyIndicator.visible = false
            }
        }
    }
    BusyIndicator {
      id: idBusyIndicator
      anchors.centerIn: parent
      running: true
      visible: true
    }
    MouseArea {
        id: idFilesDelegateMouseArea
        anchors.fill: parent
        onClicked: idFilesDelegate.clicked();
    }
}
